LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-31-2007, 11:21 AM   #1
quest4linux
LQ Newbie
 
Registered: May 2007
Distribution: ubuntu suse
Posts: 8

Rep: Reputation: 0
install error!!!!!!!!!!!!!!!!!!1


hello,
i am very much new to linux but i have tried different linux distros
i want yo know how to install software in linux distros.The usual 3 step method doesnt seem to
work for me. whenever i type ./configure command i get the following msg and the later command
(make) doesnt work. can u guys help me?


[root@localhost vlc-0.8.6a]# ./configure
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.
[root@localhost vlc-0.8.6a]#


can u guys help me?
 
Old 05-31-2007, 11:25 AM   #2
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
You need to install gcc. How you do this, depends on the distro that you are using so let us know what it is if you need precise instructions.
 
Old 05-31-2007, 12:14 PM   #3
quest4linux
LQ Newbie
 
Registered: May 2007
Distribution: ubuntu suse
Posts: 8

Original Poster
Rep: Reputation: 0
i have tried installin programs on suse 10.1, ubuntu 6.06 and slax kill bill. i get the same error msg on all.. please help me with suse and ubuntu as well
 
Old 05-31-2007, 12:55 PM   #4
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Arch/XFCE
Posts: 17,802

Rep: Reputation: 739Reputation: 739Reputation: 739Reputation: 739Reputation: 739Reputation: 739Reputation: 739
First, always search with the package manager to see if the SW you want is there. Compiling is the LAST thing to try.

To repeat redazz' comment: You need to install the compiler (gcc). It will be available in the package manager.

Finally, I suggest you focus on ONE distro until you get your feet wet. Tell us which one you pick and we can give more precise help.
 
Old 05-31-2007, 03:51 PM   #5
dasy2k1
Member
 
Registered: Oct 2005
Location: 127.0.0.1
Distribution: Ubuntu 12.04 X86_64
Posts: 960

Rep: Reputation: 35
if you are using suse at the moment
open up YAST
then go to software management,

try searching for what you are trying to install, its probabbly allready there!, if so check the box ad hit accept.


if not, search for gcc and select, gcc, gcc C++
you will then probabbly get a million and one pakages added as dependancies, dont worry about them, just accept them all,

hit accept, wait while things install then run your
./configure again
 
Old 06-02-2007, 12:24 PM   #6
quest4linux
LQ Newbie
 
Registered: May 2007
Distribution: ubuntu suse
Posts: 8

Original Poster
Rep: Reputation: 0
thanks for the quick and useful replies. you guys really rock. thanks a billion.
i'll try this out.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Install error: fatal error attempting to install <pkgpath & name> gmartin Slackware - Installation 24 02-17-2005 04:26 PM
Kernel 2.6.7 install error, initrd-2.6.7.img error jjorloff1 Linux - General 3 09-15-2004 12:15 AM
9.1 install error (ext2 -fs error) plz advise :) sirpelidor Slackware 1 12-26-2003 10:32 AM
KDE 3.1.2 Install Error (With Konstruct) and Visual Desktop Error KneeLess Linux - Software 0 06-04-2003 03:41 PM
mysql installation error (make install error) jolly_good2000 Linux - Software 1 11-14-2002 04:00 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 05:11 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration